org.vishia.gral.base

## Class GralTextField.CalculatorAngle16

- java.lang.Object
- - org.vishia.util.CalculatorExpr
  - - org.vishia.gral.base.GralTextField.CalculatorAngle16

- Enclosing class:
    GralTextField

      private static class GralTextField.CalculatorAngle16
      extends CalculatorExpr

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.vishia.util.CalculatorExpr

      `CalculatorExpr.ExpressionType, CalculatorExpr.Operation, CalculatorExpr.Operator, CalculatorExpr.Operators, CalculatorExpr.SetExprBase, CalculatorExpr.Value`

  - ### Field Summary

    - ### Fields inherited from class org.vishia.util.CalculatorExpr

      `accu, booleanExpr, doubleExpr, finishBooleanExpr, floatExpr, intExpr, listOperations, longExpr, objExpr, operators, stack, startExpr, stringExpr, variableNotFoundExpr, variables, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculatorAngle16()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `calc(float input)` Calculates the expression with only one input.
    `CalculatorExpr.Value` | `calcDataAccess(java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>> javaVariables, java.lang.Object... args)` Calculates the expression with possible access to any stored object data with access via reflection.

    - ### Methods inherited from class org.vishia.util.CalculatorExpr

      `addOperation, calc, calc, calcLong, calcLong, getOperator, listOperations, masksh, Oldcalc, Oldcalc, parseAddExpr, parseArgument, parseMultExpr, setExpr, setExpr, sh, shmask, splitFnNameAndParams, splitFnParams, XXXaddExprToStack, XXXaddExprToStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalculatorAngle16

          CalculatorAngle16()

  - ### Method Detail

    - #### calc

          public float calc(float input)

      Description copied from class: `org.vishia.util.CalculatorExpr`
      Calculates the expression with only one input. This is a simple variant for scaling values etc. It invokes internally `CalculatorExpr.calcDataAccess(Map, Object...)` but without a access Map. It means it must not contain access to other data.
      Overrides:
        `calc` in class `CalculatorExpr`
      Parameters:
        `input` - The only one input value.
      Returns:
        The result.

    - #### calcDataAccess

          public CalculatorExpr.Value calcDataAccess(java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>> javaVariables,
                                                     java.lang.Object... args)
                                              throws java.lang.Exception

      Description copied from class: `org.vishia.util.CalculatorExpr`
      Calculates the expression with possible access to any stored object data with access via reflection.
      Overrides:
        `calcDataAccess` in class `CalculatorExpr`
      Parameters:
        `javaVariables` - Any data which are access-able with its name. It is the first part of a datapath.
        `args` - Some args given immediately. Often numerical args. Often not used.
      Returns:
        The result wrapped with a Value instance. This Value contains also the type info.
      Throws:
        `java.lang.Exception` - Any exception is possible. Especially `NoSuchFieldException` or such if the access via reflection is done.